#include "gpmenu.h"
#include "gpstdlib.h"


#define GPC_VK_ALL  (GPC_VK_LEFT|GPC_VK_RIGHT|GPC_VK_UP|GPC_VK_DOWN|GPC_VK_START|GPC_VK_SELECT|GPC_VK_FA|GPC_VK_FB|GPC_VK_FL|GPC_VK_FR)

void WaitKeyRelease(void)
  {
    while (GpKeyGet() & GPC_VK_ALL);
  }

void GpMenuDraw ( GPMENU * menu )
  {
    unsigned int i;

    /* Clear screen */
    for (i=0;i<(320*240);i++)
      menu->gpDraw->ptbuffer[i] = menu->bgcolor;

    for (i=0;i<menu->numItems;i++)
      {
        if (menu->pItems[i].name!=NULL)
          GpTextOut(NULL, menu->gpDraw, menu->xpos, menu->ypos+(i*16), menu->pItems[i].name, i==menu->selection ? menu->itemselcolor : menu->pItems[i].color);
      }
  }

void GpMenuStart ( GPMENU * menu, int (*callback)(GPMENU*,u16) )
  {
    u16 k;
    int res;

    do
      {
        res = 0;

        GpMenuDraw ( menu );
        WaitKeyRelease ();
        while (!((k=GpKeyGet()) & (menu->pItems[menu->selection].keys|GPC_VK_UP|GPC_VK_DOWN)));
        if (k&GPC_VK_UP)
          {
            while ((menu->pItems[--menu->selection].name==NULL) && (menu->selection>=0));
            if (menu->selection<0)
              menu->selection = menu->numItems-1;
          } else
        if (k&GPC_VK_DOWN)
          {
              while ((menu->pItems[++menu->selection].name==NULL) && (menu->selection<menu->numItems));
              if (menu->selection>=menu->numItems)
                menu->selection = 0;
          } else
          {
            res = callback(menu,k);
          }
      } while (res==0);
    WaitKeyRelease();
  }
