 /*
  * Exec6502.h - Instruction decoding for the 6502 CPU
  * Copyright (c)2002 Christian Nowak <chnowak@web.de>
  *
  *
  * This file is part of PlusIV.
  *
  * PlusIV is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * PlusIV is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Foobar; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

		instr = READM(cpu, cpu->PC.aword);
		switch (instr)
			{
				case 0x00:	Op00(cpu);break;
				case 0x01:	Op01(cpu);break;
				case 0x02:	OpIl(cpu);break;
				case 0x03:	OpIl(cpu);break;
				case 0x04:	Op04(cpu);break;
				case 0x05:	Op05(cpu);break;
				case 0x06:	Op06(cpu);break;
				case 0x07:	OpIl(cpu);break;
				case 0x08:	Op08(cpu);break;
				case 0x09:	Op09(cpu);break;
				case 0x0a:	Op0a(cpu);break;
				case 0x0b:	OpIl(cpu);break;
				case 0x0c:	Op0c(cpu);break;
				case 0x0d:	Op0d(cpu);break;
				case 0x0e:	Op0e(cpu);break;
				case 0x0f:	OpIl(cpu);break;
				case 0x10:	Op10(cpu);break;
				case 0x11:	Op11(cpu);break;
				case 0x12:	OpIl(cpu);break;
				case 0x13:	OpIl(cpu);break;
				case 0x14:	Op14(cpu);break;
				case 0x15:	Op15(cpu);break;
				case 0x16:	Op16(cpu);break;
				case 0x17:	OpIl(cpu);break;
				case 0x18:	Op18(cpu);break;
				case 0x19:	Op19(cpu);break;
				case 0x1a:	Op1a(cpu);break;
				case 0x1b:	OpIl(cpu);break;
				case 0x1c:	Op1c(cpu);break;
				case 0x1d:	Op1d(cpu);break;
				case 0x1e:	Op1e(cpu);break;
				case 0x1f:	OpIl(cpu);break;
				case 0x20:	Op20(cpu);break;
				case 0x21:	Op21(cpu);break;
				case 0x22:	OpIl(cpu);break;
				case 0x23:	OpIl(cpu);break;
				case 0x24:	Op24(cpu);break;
				case 0x25:	Op25(cpu);break;
				case 0x26:	Op26(cpu);break;
				case 0x27:	OpIl(cpu);break;
				case 0x28:	Op28(cpu);break;
				case 0x29:	Op29(cpu);break;
				case 0x2a:	Op2a(cpu);break;
				case 0x2b:	OpIl(cpu);break;
				case 0x2c:	Op2c(cpu);break;
				case 0x2d:	Op2d(cpu);break;
				case 0x2e:	Op2e(cpu);break;
				case 0x2f:	OpIl(cpu);break;
				case 0x30:	Op30(cpu);break;
				case 0x31:	Op31(cpu);break;
				case 0x32:	OpIl(cpu);break;
				case 0x33:	OpIl(cpu);break;
				case 0x34:	Op34(cpu);break;
				case 0x35:	Op35(cpu);break;
				case 0x36:	Op36(cpu);break;
				case 0x37:	OpIl(cpu);break;
				case 0x38:	Op38(cpu);break;
				case 0x39:	Op39(cpu);break;
				case 0x3a:	Op3a(cpu);break;
				case 0x3b:	OpIl(cpu);break;
				case 0x3c:	Op3c(cpu);break;
				case 0x3d:	Op3d(cpu);break;
				case 0x3e:	Op3e(cpu);break;
				case 0x3f:	OpIl(cpu);break;
				case 0x40:	Op40(cpu);break;
				case 0x41:	Op41(cpu);break;
				case 0x42:	OpIl(cpu);break;
				case 0x43:	OpIl(cpu);break;
				case 0x44:	Op44(cpu);break;
				case 0x45:	Op45(cpu);break;
				case 0x46:	Op46(cpu);break;
				case 0x47:	OpIl(cpu);break;
				case 0x48:	Op48(cpu);break;
				case 0x49:	Op49(cpu);break;
				case 0x4a:	Op4a(cpu);break;
				case 0x4b:	OpIl(cpu);break;
				case 0x4c:	Op4c(cpu);break;
				case 0x4d:	Op4d(cpu);break;
				case 0x4e:	Op4e(cpu);break;
				case 0x4f:	OpIl(cpu);break;
				case 0x50:	Op50(cpu);break;
				case 0x51:	Op51(cpu);break;
				case 0x52:	OpIl(cpu);break;
				case 0x53:	OpIl(cpu);break;
				case 0x54:	Op54(cpu);break;
				case 0x55:	Op55(cpu);break;
				case 0x56:	Op56(cpu);break;
				case 0x57:	OpIl(cpu);break;
				case 0x58:	Op58(cpu);break;
				case 0x59:	Op59(cpu);break;
				case 0x5a:	Op5a(cpu);break;
				case 0x5b:	OpIl(cpu);break;
				case 0x5c:	Op5c(cpu);break;
				case 0x5d:	Op5d(cpu);break;
				case 0x5e:	Op5e(cpu);break;
				case 0x5f:	OpIl(cpu);break;
				case 0x60:	Op60(cpu);break;
				case 0x61:	Op61(cpu);break;
				case 0x62:	OpIl(cpu);break;
				case 0x63:	OpIl(cpu);break;
				case 0x64:	Op64(cpu);break;
				case 0x65:	Op65(cpu);break;
				case 0x66:	Op66(cpu);break;
				case 0x67:	OpIl(cpu);break;
				case 0x68:	Op68(cpu);break;
				case 0x69:	Op69(cpu);break;
				case 0x6a:	Op6a(cpu);break;
				case 0x6b:	OpIl(cpu);break;
				case 0x6c:	Op6c(cpu);break;
				case 0x6d:	Op6d(cpu);break;
				case 0x6e:	Op6e(cpu);break;
				case 0x6f:	OpIl(cpu);break;
				case 0x70:	Op70(cpu);break;
				case 0x71:	Op71(cpu);break;
				case 0x72:	OpIl(cpu);break;
				case 0x73:	OpIl(cpu);break;
				case 0x74:	Op74(cpu);break;
				case 0x75:	Op75(cpu);break;
				case 0x76:	Op76(cpu);break;
				case 0x77:	OpIl(cpu);break;
				case 0x78:	Op78(cpu);break;
				case 0x79:	Op79(cpu);break;
				case 0x7a:	Op7a(cpu);break;
				case 0x7b:	OpIl(cpu);break;
				case 0x7c:	Op7c(cpu);break;
				case 0x7d:	Op7d(cpu);break;
				case 0x7e:	Op7e(cpu);break;
				case 0x7f:	OpIl(cpu);break;
				case 0x80:	Op80(cpu);break;
				case 0x81:	Op81(cpu);break;
				case 0x82:	Op82(cpu);break;
				case 0x83:	Op83(cpu);break;
				case 0x84:	Op84(cpu);break;
				case 0x85:	Op85(cpu);break;
				case 0x86:	Op86(cpu);break;
				case 0x87:	Op87(cpu);break;
				case 0x88:	Op88(cpu);break;
				case 0x89:	OpIl(cpu);break;
				case 0x8a:	Op8a(cpu);break;
				case 0x8b:	OpIl(cpu);break;
				case 0x8c:	Op8c(cpu);break;
				case 0x8d:	Op8d(cpu);break;
				case 0x8e:	Op8e(cpu);break;
				case 0x8f:	Op8f(cpu);break;
				case 0x90:	Op90(cpu);break;
				case 0x91:	Op91(cpu);break;
				case 0x92:	OpIl(cpu);break;
				case 0x93:	OpIl(cpu);break;
				case 0x94:	Op94(cpu);break;
				case 0x95:	Op95(cpu);break;
				case 0x96:	Op96(cpu);break;
				case 0x97:	Op97(cpu);break;
				case 0x98:	Op98(cpu);break;
				case 0x99:	Op99(cpu);break;
				case 0x9a:	Op9a(cpu);break;
				case 0x9b:	OpIl(cpu);break;
				case 0x9c:	OpIl(cpu);break;
				case 0x9d:	Op9d(cpu);break;
				case 0x9e:	OpIl(cpu);break;
				case 0x9f:	OpIl(cpu);break;
				case 0xa0:	Opa0(cpu);break;
				case 0xa1:	Opa1(cpu);break;
				case 0xa2:	Opa2(cpu);break;
				case 0xa3:	Opa3(cpu);break;
				case 0xa4:	Opa4(cpu);break;
				case 0xa5:	Opa5(cpu);break;
				case 0xa6:	Opa6(cpu);break;
				case 0xa7:	Opa7(cpu);break;
				case 0xa8:	Opa8(cpu);break;
				case 0xa9:	Opa9(cpu);break;
				case 0xaa:	Opaa(cpu);break;
				case 0xab:	OpIl(cpu);break;
				case 0xac:	Opac(cpu);break;
				case 0xad:	Opad(cpu);break;
				case 0xae:	Opae(cpu);break;
				case 0xaf:	Opaf(cpu);break;
				case 0xb0:	Opb0(cpu);break;
				case 0xb1:	Opb1(cpu);break;
				case 0xb2:	OpIl(cpu);break;
				case 0xb3:	Opb3(cpu);break;
				case 0xb4:	Opb4(cpu);break;
				case 0xb5:	Opb5(cpu);break;
				case 0xb6:	Opb6(cpu);break;
				case 0xb7:	Opb7(cpu);break;
				case 0xb8:	Opb8(cpu);break;
				case 0xb9:	Opb9(cpu);break;
				case 0xba:	Opba(cpu);break;
				case 0xbb:	OpIl(cpu);break;
				case 0xbc:	Opbc(cpu);break;
				case 0xbd:	Opbd(cpu);break;
				case 0xbe:	Opbe(cpu);break;
				case 0xbf:	Opbf(cpu);break;
				case 0xc0:	Opc0(cpu);break;
				case 0xc1:	Opc1(cpu);break;
				case 0xc2:	Opc2(cpu);break;
				case 0xc3:	Opc3(cpu);break;
				case 0xc4:	Opc4(cpu);break;
				case 0xc5:	Opc5(cpu);break;
				case 0xc6:	Opc6(cpu);break;
				case 0xc7:	Opc7(cpu);break;
				case 0xc8:	Opc8(cpu);break;
				case 0xc9:	Opc9(cpu);break;
				case 0xca:	Opca(cpu);break;
				case 0xcb:	OpIl(cpu);break;
				case 0xcc:	Opcc(cpu);break;
				case 0xcd:	Opcd(cpu);break;
				case 0xce:	Opce(cpu);break;
				case 0xcf:	Opcf(cpu);break;
				case 0xd0:	Opd0(cpu);break;
				case 0xd1:	Opd1(cpu);break;
				case 0xd2:	OpIl(cpu);break;
				case 0xd3:	Opd3(cpu);break;
				case 0xd4:	Opd4(cpu);break;
				case 0xd5:	Opd5(cpu);break;
				case 0xd6:	Opd6(cpu);break;
				case 0xd7:	Opd7(cpu);break;
				case 0xd8:	Opd8(cpu);break;
				case 0xd9:	Opd9(cpu);break;
				case 0xda:	Opda(cpu);break;
				case 0xdb:	Opdb(cpu);break;
				case 0xdc:	Opdc(cpu);break;
				case 0xdd:	Opdd(cpu);break;
				case 0xde:	Opde(cpu);break;
				case 0xdf:	Opdf(cpu);break;
				case 0xe0:	Ope0(cpu);break;
				case 0xe1:	Ope1(cpu);break;
				case 0xe2:	Ope2(cpu);break;
				case 0xe3:	Ope3(cpu);break;
				case 0xe4:	Ope4(cpu);break;
				case 0xe5:	Ope5(cpu);break;
				case 0xe6:	Ope6(cpu);break;
				case 0xe7:	Ope7(cpu);break;
				case 0xe8:	Ope8(cpu);break;
				case 0xe9:	Ope9(cpu);break;
				case 0xea:	Opea(cpu);break;
				case 0xeb:	OpIl(cpu);break;
				case 0xec:	Opec(cpu);break;
				case 0xed:	Oped(cpu);break;
				case 0xee:	Opee(cpu);break;
				case 0xef:	Opef(cpu);break;
				case 0xf0:	Opf0(cpu);break;
				case 0xf1:	Opf1(cpu);break;
				case 0xf2:	OpIl(cpu);break;
				case 0xf3:	Opf3(cpu);break;
				case 0xf4:	Opf4(cpu);break;
				case 0xf5:	Opf5(cpu);break;
				case 0xf6:	Opf6(cpu);break;
				case 0xf7:	Opf7(cpu);break;
				case 0xf8:	Opf8(cpu);break;
				case 0xf9:	Opf9(cpu);break;
				case 0xfa:	Opfa(cpu);break;
				case 0xfb:	Opfb(cpu);break;
				case 0xfc:	Opfc(cpu);break;
				case 0xfd:	Opfd(cpu);break;
				case 0xfe:	Opfe(cpu);break;
				case 0xff:	Opff(cpu);break;
			}
