 /*
  * d1551.h - Commodore 1551 floppy drive emulation declarations
  * Copyright (c)2002 Christian Nowak <chnowak@web.de>
  *
  *
  * This file is part of PlusIV.
  *
  * PlusIV is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * PlusIV is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with Foobar; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */

#ifndef __D1551_H__
#define __D1551_H__

#include "d64.h"
#include "defines.h"

#define IEC_IDLE      0
#define IEC_DEVICEID  1
#define IEC_INPUT     2
#define IEC_BUFSIZE   65535

typedef struct D1551
  {
    u8 IEC_Data ;
    u8 IEC_Status;
    u8 IEC_Handshake;
    u8 IEC_LastCommand;
    u8 IEC_DriveStatus;
    u8 * IEC_OutBuf;
    u8 * IEC_InpBuf;
    u16 IEC_OutBufPointer;
    u16 IEC_InpBufPointer;
    u16 IEC_OutBufLength;
    D64 disk;
  } D1551;

u8 D1551_IORead(D1551 * , u8);
void D1551_IOWrite(D1551 * , u8, u8);
int D1551_Init ( D1551 * );
void D1551_Terminate ( D1551 * );

#endif
